%define name		lft
%define version		2.0
%define release		1
%define builddir	$RPM_BUILD_DIR/%{name}-%{version}
%define prefixdef	/usr

# If you don't like the prefix '/usr' you can override it like this:
# rpm -ba|--rebuild --define 'prefix /usr/local'
%{?!prefix:%define prefix %{prefixdef}}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Vendor:		Generic
Packager:	Florin Andrei <florin@sgi.com>
URL:		http://www.mainnerve.com/lft/
Source:		%{name}-%{version}-src.tar.gz
Group:		Applications/System
License:	GPL
Provides:	lft
Requires:	libpcap
BuildRoot:	%{_tmppath}/%{name}-%{version}
Summary:	Alternative traceroute tool for network (reverse) engineers

%description
LFT, short for Layer Four Traceroute, is a sort of 'traceroute' that
often works much faster (than the commonly-used Van Jacobson method) and
goes through many configurations of packet-filter based firewalls. More
importantly, LFT implements numerous other features including AS number
lookups, loose source routing, netblock name lookups, et al.

%prep
%setup -n %{name}-%{version}

%build
cp Makefile.linux Makefile
make

%install
if [ ! -d $RPM_BUILD_ROOT%{prefix}/bin ]; then
	mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
fi
if [ ! -d $RPM_BUILD_ROOT%{_mandir}/man8 ]; then
	mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
fi
cp lft $RPM_BUILD_ROOT%{prefix}/bin/
cp lft.8 $RPM_BUILD_ROOT%{_mandir}/man8/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(4755, root, root)
%{prefix}/bin/lft

%defattr(0644, root, root)
%{_mandir}/man8/lft.8.gz
%doc CHANGELOG COPYING README TODO lft-manpage.html

%changelog
* Mon Oct 28 2002 Florin Andrei <florin@sgi.com>
- first version
- v2.0-1
